Package be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit

# Class ReimbursementConditionKeyType

java.lang.Object
be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.ReimbursementConditionKeyType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConsultReimbursementConditionType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ReimbursementConditionKeyType extends Object implements Serializable

Java class for ReimbursementConditionKeyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReimbursementConditionKeyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="LegalTextRelativePath" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:reimbursementlaw:submit}LegalTextPathType" />
           <attribute name="Key" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReimbursementConditionKeyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  Gets the value of the key property.
  `String`
  `getLegalTextRelativePath()`
  Path to the legal text concerning this reimbursement condition, evaluated from the legal reference node for this condition.
  `void`
  `setKey(String value)`
  Sets the value of the key property.
  `void`
  `setLegalTextRelativePath(String value)`
  Sets the value of the legalTextRelativePath property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReimbursementConditionKeyType

    public ReimbursementConditionKeyType()

- ## Method Details

  - ### getLegalTextRelativePath

    public String getLegalTextRelativePath()
    Path to the legal text concerning this reimbursement condition, evaluated from the legal reference node for this condition. Path elements are separated by a '-'. For example, 'ALINEA1-POINT1'.
    Returns:
      possible object is `String`

  - ### setLegalTextRelativePath

    public void setLegalTextRelativePath(String value)
    Sets the value of the legalTextRelativePath property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLegalTextRelativePath()`

  - ### getKey

    public String getKey()
    Gets the value of the key property.
    Returns:
      possible object is `String`

  - ### setKey

    public void setKey(String value)
    Sets the value of the key property.
    Parameters:
      `value` - allowed object is `String`